Bug 17141 - Incorrect method called in edi_cron to get logdir
Summary: Incorrect method called in edi_cron to get logdir
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Keywords:
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-17 16:28 UTC by Colin Campbell
Modified: 2017-12-07 22:16 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (938 bytes, patch)
2016-08-17 16:34 UTC, Colin Campbell
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17141: Call config method to retrieve logdir (1.09 KB, patch)
2016-08-23 00:26 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17141: Call config method to retrieve logdir (1.20 KB, patch)
2016-08-23 15:42 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2016-08-17 16:28:03 UTC
Should call the config method to retrieve the logdir otherwise an error is generated at runtime
Comment 1 Colin Campbell 2016-08-17 16:34:26 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2016-08-23 00:26:05 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-08-23 15:42:29 UTC
Created attachment 54781 [details] [review]
Bug 17141: Call config method to retrieve logdir

Incorrect method call is causing runtime error and not
retrieving the correct logdir value
Change retrieves the value correctly

To test:
1) Run edi_cron.pl, notice error
2) Apply patch and run edi_cron.pl again, should work as expected

Signed-off-by: Aleisha Amohia <aleishaamohia@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Note: I did not test but changes make sense.
Comment 4 Kyle M Hall 2016-09-02 16:48:40 UTC
Pushed to master for 16.11, thanks Colin!
Comment 5 Frédéric Demians 2016-09-08 19:56:31 UTC
Pushed in 16.05. Will be in 16.05.04.